Consensus Client API
cURL
curl --request GET \ --url https://api.example.com/staking/delegators/{delegator_addr}/validators/{validator_addr}
{ "code": 200, "msg": { "validator": { "operator_address": "0xdb8e606ad7c02f37e43d10a10126791dc94b0434", "consensus_pubkey": { "type": "tendermint/PubKeySecp256k1", "value": "A6KRGirXFYsv5oVQz8d8YIl0Nj23bXo2jLHui72y12Bi" }, "status": 3, "tokens": "1000000", "delegator_shares": "1000000.000000000000000000", "description": { "moniker": "0x9DFC26A7662106EEEC5E87B20CBB690CFCE73A05" }, "unbonding_time": "1970-01-01T00:00:00Z", "commission": { "commission_rates": { "rate": "0.070000000000000000", "max_rate": "0.100000000000000000", "max_change_rate": "0.010000000000000000" }, "update_time": "2024-04-16T11:04:40.60280319Z" }, "min_self_delegation": "1024000000000", "support_token_type": 1, "rewards_tokens": "1000000.000000000000000000", "delegator_rewards_shares": "1000000.000000000000000000" } }, "error": "" }
Documentation IndexFetch the complete documentation index at: https://docs.story.foundation/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.story.foundation/llms.txt
Use this file to discover all available pages before exploring further.
delegator_addr defines the delegator address to query for.
validator_addr defines the validator address to query for.
Show child attributes